Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.connectionManager
Interface DisconnectableConnection

All Superinterfaces:
  Connection, Wrapper

    public interface DisconnectableConnection

extends Connection

The interface for objects returned by the getConnection method of ConnectionManagerDataSource.

Implementations of this interface are expected to hold a reference to an underlying Connection.

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Method Summary
`void` | `disconnect()` Close the underlying connection object.
`Connection` | `getConnection()` Get the real underlying Connection object.

Methods inherited from interface java.sql.Connection
`clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setReadOnly, setSavepoint, setSavepoint, setTransactionIsolation, setTypeMap`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Method Detail

### disconnect

    void disconnect()

  Close the underlying connection object.

  Note that if methods are called on this object that require a connection, then a fresh connection will transparently be allocated and cached.

### getConnection

    Connection getConnection()

  Get the real underlying Connection object.

  If this object is not currently connected, then null will be returned. Note that a call to any proxied method that needs a connection will then allocate one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.